gnutls_x509_crt_equals2(3)

NAME
gnutls_x509_crt_equals2 - This function compares a gnutls_x509_crt_t cert with DER data

SYNOPSIS
#include <gnutls/x509.h>

unsigned gnutls_x509_crt_equals2(gnutls_x509_crt_t cert1, gnutls_datum_t * der);

ARGUMENTS

gnutls_x509_crt_t cert1
    The first certificate

gnutls_datum_t * der
    A DER encoded certificate

DESCRIPTION
This function will compare an X.509 certificate structures, with DER encoded certificate data.

RETURNS
On equality non-zero is returned, otherwise zero.

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/